=== debian/changelog ===
soapdenovo (1.05-7) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix build failure with gcc-15. (Closes: #1097907)
  * d/watch: convert to untrackable watch file v5.
  * build-flags.patch: new: propagate build flags.
    This notably fixes missing binaries hardening.
  * add_debug_symbols.patch: normalize Last-Update timestamp.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 Oct 2025 23:26:00 +0200

soapdenovo (1.05-6) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Use -fcommon option to tolerate "multiple definition of"

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2020 22:53:04 +0100

soapdenovo (1.05-5) unstable; urgency=medium

  * Team upload

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to registries.
    - yamllint clean

  [ Liubov Chuprikova ]
  * Add autopkgtest
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * fix "spelling-error-in-manpage"
  * Add patch that adds debug symbols

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sat, 09 Jun 2018 13:09:35 +0200

soapdenovo (1.05-4) unstable; urgency=medium

  * Team upload
  * Moved packaging to Git
  * Build-Depends: rename
    Closes: #874424
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 06 Sep 2017 11:08:47 +0200

soapdenovo (1.05-3) unstable; urgency=medium

  * Team upload
  * debian/upstream moved to debian/upstream/metadata
  * d/watch: Source not available any more at download page
  * cme fix dpkg-control
  * debhelper 10
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 09:26:22 +0100

soapdenovo (1.05-2) unstable; urgency=low

  * soapdenovo is not maintained anymore, please use
    soapdenovo2 (Closes: #732281).

 -- Olivier Sallou <osallou@debian.org>  Wed, 18 Dec 2013 12:32:59 +0100

soapdenovo (1.05-1) unstable; urgency=low

  * Initial release (Closes: #683291)

 -- Olivier Sallou <osallou@debian.org>  Mon, 30 Jul 2012 15:47:51 +0200
