=== debian/control ===
Source: soapdenovo
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               rename
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/soapdenovo
Vcs-Git: https://salsa.debian.org/med-team/soapdenovo.git
Homepage: http://soap.genomics.org.cn/soapdenovo.html

Package: soapdenovo
Architecture: any-amd64 any-ppc64 any-ia64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: short-read assembly method to build de novo draft assembly
 SOAPdenovo is a novel short-read assembly method that can build a de novo draft
 assembly for the human-sized genomes. The program is specially designed to
 assemble Illumina GA short reads.
 .
 It creates new opportunities for building reference
 sequences and carrying out accurate analyses of unexplored genomes in a cost
 effective way.
 .
 This version is not maintained anymore, consider using soapdenovo2.
