=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# FIXME: This is discouraged ... but works for the moment to solve bug #957194
#        https://wiki.gentoo.org/wiki/Gcc_10_porting_notes/fno_common#The_-fcommon_workaround_.28discouraged.29
export DEB_CFLAGS_MAINT_APPEND=-fcommon

%:
	dh $@

override_dh_install:
	dh_install
	cd debian/soapdenovo/usr/bin/;rename 's/SOAP/soap/' SOAP*
