=== debian/watch ===
Version: 5
Untrackable: not available any more.

Source: http://soap.genomics.org.cn/soapdenovo.html#down2
Matching-Pattern: down/SOAPdenovo-V(.*)\.src\.tgz
Filenamemangle: s/down\/SOAPdenovo-V/soapdenovo-/
